• O Risco do Buffer Overflow em Impressoras

    Atualmente, os administradores têm que ficar ainda mais atentos do que nunca em relação à segurança dos servidores e computadores. Mesmo que a maioria dessas falhas seja imperceptível em dispositivos periféricos, como impressoras de rede, eles podem apresentar problemas de segurança caso realmente contenham vulnerabilidades.

    Dessa forma, a Xerox acaba de lançar um patch (download direto) para o seu WorkCentre 5735, 5740, 5745, 5755, 5765, 5775 e 5790 para corrigir um buffer overflow no SMB em seu servidor integrado de impressoras. "A brecha pode permitir que atacantes remotos possam invadir um sistema e fazer alterações de configuração não autorizadas", disse o fabricante através de um boletim de segurança emitido.

    Alegadamente, os ataques bem sucedidos na impressora multi-funcional potencialmente poderiam ser explorados para fins de espionagem industrial. Os dispositivos de impressão, digitalização e cópia de recursos tendem a armazenar documentos em um disco rígido interno, e dependendo do modelo, os dados podem ser recuperáveis ​​como texto simples. Enquanto a Xerox ocasionalmente lançou atualizações de segurança para seus produtos, a edição atual tem sido conhecida há quase um ano e tem, por exemplo, corrigido algumas falhas em várias distribuições Linux.

    No entanto, outras empresas como a HP também tiveram que resolver problemas de segurança em dispositivo semelhante. Na ShmooCon realizada em janeiro, dois testers apresentaram uma impressionante demonstração de como acessar remotamente impressoras de rede corporativa. Produtos da Canon e Toshiba também teriam sido afetados.


    Saiba Mais:

    [1] Xerox Security Bulletin XRX11-002: http://www.xerox.com/downloads/usa/e...1-002_v1.0.pdf


Visite: BR-Linux ·  VivaOLinux ·  Dicas-L